TemplateAntTask (Jython API documentation)
Date: 2024-08-18

org.python.util

## Class TemplateAntTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.python.util.TemplateAntTask

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

      public class TemplateAntTask
      extends org.apache.tools.ant.taskdefs.MatchingTask

  Template is an Ant task for generating new-style object definitions based on template files. These template files come in two flavors; *.expose and *.derived, both are supported by this task.
  Version:
    1.0
  Author:
    Matt Small - msmall@activegrid.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateAntTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `setLazy(java.lang.String in)` Lazy flag.
    `void` | `setPython(java.lang.String aPE)` Specifies the Python interpreter.
    `void` | `setSrcdir(java.lang.String in)` Source paths.
    `void` | `setVerbose(java.lang.String in)` Verbose flag.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateAntTask

          public TemplateAntTask()

  - ### Method Detail

    - #### setPython

          public void setPython(java.lang.String aPE)

      Specifies the Python interpreter.

    - #### setSrcdir

          public void setSrcdir(java.lang.String in)

      Source paths.

    - #### setVerbose

          public void setVerbose(java.lang.String in)

      Verbose flag.

    - #### setLazy

          public void setLazy(java.lang.String in)

      Lazy flag.

    - #### execute

          public void execute()

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`

Jython homepage